package core.notevault.data;

import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

@Entity(tableName = "concert_songs")
public class ConcertSong {

    @PrimaryKey(autoGenerate = true)
    private int id;

    private long musicNoteID;
    private int concertID;

    @Ignore
    public ConcertSong(long musicNoteID, int concertID) {
        this.musicNoteID = musicNoteID;
        this.concertID = concertID;
    }

    @Ignore
    public ConcertSong(int id, long musicNoteID, int concertID) {
        this.id = id;
        this.musicNoteID = musicNoteID;
        this.concertID = concertID;
    }

    public ConcertSong() {
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public long getMusicNoteID() {
        return musicNoteID;
    }

    public void setMusicNoteID(long musicNoteID) {
        this.musicNoteID = musicNoteID;
    }

    public int getConcertID() {
        return concertID;
    }

    public void setConcertID(int concertID) {
        this.concertID = concertID;
    }
}
